For the complete documentation index, see llms.txt. This page is also available as Markdown.

Versandkosten

Configure shipping costs by method, terms, country, postcode, parcel count and weight with the VARIO Cloud API for flexible delivery pricing.

Shipping costs.

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json

Shipping costs with conditions.

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

countryCodestringOptional

Country code.

fromPostcodestringOptional

Postal code from.

toPostcodestringOptional

Postal code to.

fromParcelCountinteger · int32Optional

From this number of parcels.

fromShipmentWeightnumberOptional

From this weight (shipment weight).

netPricenumberRequired

Costs net.

grossPricenumberOptional

Costs gross.

purchasePricebooleanOptional

Is this a purchase price?

Default: false
currencyCodestringRequired

Currency (ISO-A3).

get/erp/delivery/shipping-costs/{id}
GET /erp/delivery/shipping-costs/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "deliveryMethodRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "deliveryTermRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "countryCode": "text",
  "fromPostcode": "text",
  "toPostcode": "text",
  "fromParcelCount": 1,
  "fromShipmentWeight": 1,
  "fromShipmentWeightUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "netPrice": 1,
  "grossPrice": 1,
  "purchasePrice": false,
  "currencyCode": "text"
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

Shipping costs with conditions.

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

countryCodestringOptional

Country code.

fromPostcodestringOptional

Postal code from.

toPostcodestringOptional

Postal code to.

fromParcelCountinteger · int32Optional

From this number of parcels.

fromShipmentWeightnumberOptional

From this weight (shipment weight).

netPricenumberRequired

Costs net.

grossPricenumberOptional

Costs gross.

purchasePricebooleanOptional

Is this a purchase price?

Default: false
currencyCodestringRequired

Currency (ISO-A3).

Responses
200

successful operation

application/json

Shipping costs with conditions.

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

countryCodestringOptional

Country code.

fromPostcodestringOptional

Postal code from.

toPostcodestringOptional

Postal code to.

fromParcelCountinteger · int32Optional

From this number of parcels.

fromShipmentWeightnumberOptional

From this weight (shipment weight).

netPricenumberRequired

Costs net.

grossPricenumberOptional

Costs gross.

purchasePricebooleanOptional

Is this a purchase price?

Default: false
currencyCodestringRequired

Currency (ISO-A3).

put/erp/delivery/shipping-costs/{id}
PUT /erp/delivery/shipping-costs/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 361

{
  "version": "text",
  "info": {},
  "id": "text",
  "deliveryMethodRef": {
    "id": "text"
  },
  "deliveryTermRef": {
    "id": "text"
  },
  "countryCode": "text",
  "fromPostcode": "text",
  "toPostcode": "text",
  "fromParcelCount": 1,
  "fromShipmentWeight": 1,
  "fromShipmentWeightUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "netPrice": 1,
  "grossPrice": 1,
  "purchasePrice": false,
  "currencyCode": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "deliveryMethodRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "deliveryTermRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "countryCode": "text",
  "fromPostcode": "text",
  "toPostcode": "text",
  "fromParcelCount": 1,
  "fromShipmentWeight": 1,
  "fromShipmentWeightUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "netPrice": 1,
  "grossPrice": 1,
  "purchasePrice": false,
  "currencyCode": "text"
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/delivery/shipping-costs/{id}
DELETE /erp/delivery/shipping-costs/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body

Shipping costs with conditions.

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

countryCodestringOptional

Country code.

fromPostcodestringOptional

Postal code from.

toPostcodestringOptional

Postal code to.

fromParcelCountinteger · int32Optional

From this number of parcels.

fromShipmentWeightnumberOptional

From this weight (shipment weight).

netPricenumberRequired

Costs net.

grossPricenumberOptional

Costs gross.

purchasePricebooleanOptional

Is this a purchase price?

Default: false
currencyCodestringRequired

Currency (ISO-A3).

Responses
200

successful operation

application/json

Shipping costs with conditions.

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

countryCodestringOptional

Country code.

fromPostcodestringOptional

Postal code from.

toPostcodestringOptional

Postal code to.

fromParcelCountinteger · int32Optional

From this number of parcels.

fromShipmentWeightnumberOptional

From this weight (shipment weight).

netPricenumberRequired

Costs net.

grossPricenumberOptional

Costs gross.

purchasePricebooleanOptional

Is this a purchase price?

Default: false
currencyCodestringRequired

Currency (ISO-A3).

post/erp/delivery/shipping-costs
POST /erp/delivery/shipping-costs HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 361

{
  "version": "text",
  "info": {},
  "id": "text",
  "deliveryMethodRef": {
    "id": "text"
  },
  "deliveryTermRef": {
    "id": "text"
  },
  "countryCode": "text",
  "fromPostcode": "text",
  "toPostcode": "text",
  "fromParcelCount": 1,
  "fromShipmentWeight": 1,
  "fromShipmentWeightUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "netPrice": 1,
  "grossPrice": 1,
  "purchasePrice": false,
  "currencyCode": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "deliveryMethodRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "deliveryTermRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "countryCode": "text",
  "fromPostcode": "text",
  "toPostcode": "text",
  "fromParcelCount": 1,
  "fromShipmentWeight": 1,
  "fromShipmentWeightUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "netPrice": 1,
  "grossPrice": 1,
  "purchasePrice": false,
  "currencyCode": "text"
}

Last updated

Was this helpful?